bcj.h File Reference

Branch/Call/Jump conversion filters. More...

## Data Structures

struct | lzma_options_bcj
| Options for BCJ filters. More...

## Macros

#define | LZMA_FILTER_X86 LZMA_VLI_C(0x04)
| Filter for x86 binaries.
#define | LZMA_FILTER_POWERPC LZMA_VLI_C(0x05)
| Filter for Big endian PowerPC binaries.
#define | LZMA_FILTER_IA64 LZMA_VLI_C(0x06)
| Filter for IA-64 (Itanium) binaries.
#define | LZMA_FILTER_ARM LZMA_VLI_C(0x07)
| Filter for ARM binaries.
#define | LZMA_FILTER_ARMTHUMB LZMA_VLI_C(0x08)
| Filter for ARM-Thumb binaries.
#define | LZMA_FILTER_SPARC LZMA_VLI_C(0x09)
| Filter for SPARC binaries.
#define | LZMA_FILTER_ARM64 LZMA_VLI_C(0x0A)
| Filter for ARM64 binaries.

## Detailed Description

Branch/Call/Jump conversion filters.

Note
  Never include this file directly. Use <lzma.h> instead.